Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.clsdesc.manchester
Class CreateSubClassSuggestion

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.AbstractNamedObjectCreationSuggestion
          edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.CreateClassSuggestion
              edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.CreateSubClassSuggestion

All Implemented Interfaces:
  Suggestion

    public class CreateSubClassSuggestion

extends CreateClassSuggestion

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Sep 7, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`CreateSubClassSuggestion(OWLModel model, String name)`

Method Summary
`void` | `createObject()`
`String` | `getDescription()`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.CreateClassSuggestion
`getIcon, getObjectType`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.clsdesc.manchester.AbstractNamedObjectCreationSuggestion
`getModel, getName, performSuggestion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CreateSubClassSuggestion

    public CreateSubClassSuggestion(OWLModel model,
                                    String name)

Method Detail

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Suggestion`
  Overrides:
    `getDescription` in class `AbstractNamedObjectCreationSuggestion`

### createObject

    public void createObject()

  Overrides:
    `createObject` in class `CreateClassSuggestion`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.